
From: "Antonino A. Daplas" <adaplas@gawab.com>

FBIO_RADEON_SET_MIRROR always returns with -EINVAL even if successful due to
an inappropriate fall-through.

Signed-off-by: Andreas Schwab <schwab@suse.de>
Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/aty/radeon_base.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/video/aty/radeon_base.c~radeonfb-fix-spurious-error-return-in-fbio_radeon_set_mirror drivers/video/aty/radeon_base.c
--- 25/drivers/video/aty/radeon_base.c~radeonfb-fix-spurious-error-return-in-fbio_radeon_set_mirror	Wed Feb  9 14:01:54 2005
+++ 25-akpm/drivers/video/aty/radeon_base.c	Wed Feb  9 14:01:54 2005
@@ -913,7 +913,7 @@ static int radeonfb_ioctl (struct inode 
 
 			OUTREG(CRTC_EXT_CNTL, tmp);
 
-			break;
+			return 0;
 		case FBIO_RADEON_GET_MIRROR:
 			if (!rinfo->is_mobility)
 				return -EINVAL;
_
